Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
02343 Crash/Freeze Critical (emulation) Have not tried Sep 24, 2008, 15:45 Mar 20, 2020, 10:33
Tester Smitdogg View Status Public Platform
Assigned To MetalliC Resolution Fixed OS
Status [?] Resolved Driver segac2.cpp
Version 0.127u4 Fixed in Version 0.220 Build 64-bit
Summary 02343: ribbit: Game freezes on later levels
Description This locked up on me around the 29th level, I was using MAMEUI64. Can someone try to reproduce it in official MAME...

I tried to make a save state but it gave a message saying it was unable to create it. I could still hit pause on and off after the freeze and the screen would still dim. Protection related bug?
Steps To Reproduce
Additional Information
Flags
Regression Version
Affected Sets / Systems ribbit
Attached Files
zip file icon ribbit.zip (69,573 bytes) Sep 26, 2008, 18:16
Relationships
There are no relationship linked to this issue.
Notes
12
User avatar
No.02559
Fujix
Administrator
Sep 24, 2008, 16:59
I checked it to round 34 and no freeze experienced for me. (xp 32)
User avatar
No.02585
Haze
Senior Tester
Sep 26, 2008, 14:24
people have reported random freezes before.. but in earlier versions, or because they'd been messing with save states (when they weren't completely broken in the driver)

could just be a buggy original game (they didn't understand their own protection?) or a protection glitch, but I thought those had been ironed out after tests with the chips.

if you want it fixed (or at least given a reason) you're going to have to record/provide an inp of it being reproduced.
User avatar
No.02592
Smitdogg
Moderator
Sep 26, 2008, 18:16
edited on: Sep 26, 2008, 18:24
inp attached, made with MAMEUI64 .127u5. It crashed pretty early on this time.

BTW I changed my controller settings in this inp so keep that it mind if you run it ^_^
User avatar
No.02596
Fujix
Administrator
Sep 26, 2008, 19:09
edited on: Sep 26, 2008, 19:17
I confirmed the playback both in MAMEUI64 and normal 32-bit MAME, it freezes after the first bonus stage.
And I noticed it returns to Round 1 after you played Round 2 ;)
User avatar
No.02598
Smitdogg
Moderator
Sep 26, 2008, 19:59
Yeah BTW the box beside "50" on course records screens is cut in half. I think it was once said that this happens on the pcb? Does anybody remember?
User avatar
No.02774
Haze
Senior Tester
Oct 11, 2008, 17:31
I can confirm that the game still acts weird with the HazeMD code in .128. Sometimes it resets to earlier rounds, which inevitably leads to a lockup. There are clearly still problems with the protection simulation.
User avatar
No.17495
MetalliC
Developer
Mar 19, 2020, 12:15
may anyone recheck this issue please ? important part: do not use cheats while testing.
User avatar
No.17496
MetalGod
Senior Tester
Mar 19, 2020, 14:13
I checked this a year ago, the issue was still there.
Has something being done recently?
User avatar
No.17497
MetalliC
Developer
Mar 19, 2020, 15:07
edited on: Mar 19, 2020, 15:07
at this point I tend to think it is not emulation bug but caused by bad cheats, because I was unable to reproduce this issue if play this game in regular way, but only with some of cheats enabled.
User avatar
No.17498
Haze
Senior Tester
Mar 19, 2020, 22:03
right, if somebody has an inp (that can be played back, so from a clean state - no NVRAM etc.) of a lockup or reset, done WITHOUT cheats, WITHOUT save states, and WITHOUT any highscore.dat plugin enabled, I'd be interested in seeing it.
User avatar
No.17499
Haze
Senior Tester
Mar 19, 2020, 23:46
edited on: Mar 19, 2020, 23:46
https://github.com/mamedev/mame/commit/9cff09c902e21858a54a0390df24c5425c12e292

MetalliC figured it out the reset to level 1 anyway, nothing to do with the protection chip, but likely some protection to get in the way of people trying to hack it to run on the older hardware without sample support.
User avatar
No.17500
MetalliC
Developer
Mar 20, 2020, 01:00
I've played all 45 rounds couple of times and haven't noticed issue described here (game freeze), perhaps it was fixed by one of past changes to this driver. so I close this.
another issue (return to 1st stage) was fixed by mentioned above commit.